org.jpy

## Interface IdentityModule

- All Superinterfaces:
    AutoCloseable

      public interface IdentityModule
      extends AutoCloseable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IDENTITY_CODE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `static IdentityModule` | `create(CreateModule createModule)`
    `static <T> T` | `create(CreateModule createModule, Class<T> clazz)`
    `PyObject` | `identity(Object object)`

- - ### Field Detail

    - #### IDENTITY_CODE

          static final String IDENTITY_CODE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static IdentityModule create(CreateModule createModule)

    - #### create

          static <T> T create(CreateModule createModule,
                              Class<T> clazz)

    - #### identity

          PyObject identity(Object object)

    - #### close

          void close()

      Specified by:
        `close` in interface `AutoCloseable`

Copyright © 2014–2022 Brockmann Consult GmbH. All rights reserved.